<?php
if ( ! function_exists( 'dream_sidebar_select' ) ) :
/**
 * Fucntion to select the sidebar
 */
function dream_sidebar_select() {
	global $post;

	if( $post ) { $layout_meta = get_post_meta( $post->ID, '_dream_layout', true ); }
	
	if( is_home() ) {
		$queried_id = get_option( 'page_for_posts' );
		$layout_meta = get_post_meta( $queried_id, '_dream_layout', true ); 
	}
	
	if( empty( $layout_meta ) || is_archive() || is_search() ) { $layout_meta = 'default_layout'; }
	$dream_default_layout = of_get_option( 'dream_default_layout', 'right_sidebar' );

	$dream_default_page_layout = of_get_option( 'dream_pages_default_layout', 'right_sidebar' );
	$dream_default_post_layout = of_get_option( 'dream_single_posts_default_layout', 'right_sidebar' );

	if( $layout_meta == 'default_layout' ) {
		if( is_page() || is_home() ) {
			if( $dream_default_page_layout == 'right_sidebar' ) { get_sidebar(); }
			elseif ( $dream_default_page_layout == 'left_sidebar' ) { get_sidebar( 'left' ); }
		}
		elseif( is_single() ) {
			if( $dream_default_post_layout == 'right_sidebar' ) { get_sidebar(); }
			elseif ( $dream_default_post_layout == 'left_sidebar' ) { get_sidebar( 'left' ); }
		}
		elseif( $dream_default_layout == 'right_sidebar' ) { get_sidebar(); }
		elseif ( $dream_default_layout == 'left_sidebar' ) { get_sidebar( 'left' ); }
	}
	elseif( $layout_meta == 'right_sidebar' ) { get_sidebar(); }
	elseif( $layout_meta == 'left_sidebar' ) { get_sidebar( 'left' ); }
}
endif;


add_filter( 'body_class', 'dream_body_class' );
/**
 * Filter the body_class
 *
 * Throwing different body class for the different layouts in the body tag
 */
function dream_body_class( $classes ) {
	global $post;

	if( $post ) { $layout_meta = get_post_meta( $post->ID, '_dream_layout', true ); }
	
	if( is_home() ) {
		$queried_id = get_option( 'page_for_posts' );
		$layout_meta = get_post_meta( $queried_id, '_dream_layout', true ); 
	}

	if( empty( $layout_meta ) || is_archive() || is_search() ) { $layout_meta = 'default_layout'; }
	$dream_default_layout = of_get_option( 'dream_default_layout', 'right_sidebar' );

	$dream_default_page_layout = of_get_option( 'dream_pages_default_layout', 'right_sidebar' );
	$dream_default_post_layout = of_get_option( 'dream_single_posts_default_layout', 'right_sidebar' );

	if( $layout_meta == 'default_layout' ) {
		if( is_page() || is_home() ) {
			if( $dream_default_page_layout == 'right_sidebar' ) { $classes[] = ''; }
			elseif( $dream_default_page_layout == 'left_sidebar' ) { $classes[] = 'left-sidebar'; }
			elseif( $dream_default_page_layout == 'no_sidebar_full_width' ) { $classes[] = 'no-sidebar-full-width'; }

		}
		elseif( is_single() ) {
			if( $dream_default_post_layout == 'right_sidebar' ) { $classes[] = ''; }
			elseif( $dream_default_post_layout == 'left_sidebar' ) { $classes[] = 'left-sidebar'; }
			elseif( $dream_default_post_layout == 'no_sidebar_full_width' ) { $classes[] = 'no-sidebar-full-width'; }

		}
		elseif( $dream_default_layout == 'right_sidebar' ) { $classes[] = ''; }
		elseif( $dream_default_layout == 'left_sidebar' ) { $classes[] = 'left-sidebar'; }
		elseif( $dream_default_layout == 'no_sidebar_full_width' ) { $classes[] = 'no-sidebar-full-width'; }

	}
	elseif( $layout_meta == 'right_sidebar' ) { $classes[] = ''; }
	elseif( $layout_meta == 'left_sidebar' ) { $classes[] = 'left-sidebar'; }
	elseif( $layout_meta == 'no_sidebar_full_width' ) { $classes[] = 'no-sidebar-full-width'; }


	return $classes;
}
?>